<template>
  <span>
    {{ computedValue }}
  </span>
</template>

<script>
import numeral from "numeral";
export default {
  props: {
    value: {
      type: Number,
      default: 0
    },
    symbol: {
      type: String,
      default: ""
    }
  },
  computed: {
    computedValue() {
      if (numeral.locales["tn"] === undefined) {
        numeral.register("locale", "tn", {
          delimiters: {
            thousands: ".",
            decimal: ","
          },
          abbreviations: {
            thousand: "k",
            million: "m",
            billion: "b",
            trillion: "t"
          },
          ordinal: function(number) {
            return number === 1 ? "er" : "ème";
          },
          currency: {
            symbol: this.symbol
          }
        });
      }

      // switch between locales
      numeral.locale("tn");
      return numeral(this.value).format("0.00 $");
    }
  }
};
</script>
